Bug 735190 - deltacloud-core missing vsphere driver
Summary: deltacloud-core missing vsphere driver
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: deltacloud-core
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Fojtik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-01 18:09 UTC by wes hayutin
Modified: 2012-03-06 13:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-06 13:39:54 UTC


Attachments (Terms of Use)

Description wes hayutin 2011-09-01 18:09:18 UTC
Description of problem:
[root@dell-pe2900-02 log]# rpm -q deltacloud-core
deltacloud-core-0.3.0-4.fc15.noarch
[root@dell-pe2900-02 log]# 

[root@dell-pe2900-02 log]# rpm -ql deltacloud-core
/etc/rc.d/init.d/deltacloud-core
/usr/bin/deltacloudd
/usr/share/deltacloud-core
/usr/share/deltacloud-core/DISCLAIMER
/usr/share/deltacloud-core/LICENSE
/usr/share/deltacloud-core/NOTICE
/usr/share/deltacloud-core/bin
/usr/share/deltacloud-core/bin/deltacloudd
/usr/share/deltacloud-core/config
/usr/share/deltacloud-core/config.ru
/usr/share/deltacloud-core/config/drivers.yaml
/usr/share/deltacloud-core/deltacloud.rb
/usr/share/deltacloud-core/lib
/usr/share/deltacloud-core/lib/deltacloud
/usr/share/deltacloud-core/lib/deltacloud/backend_capability.rb
/usr/share/deltacloud-core/lib/deltacloud/base_driver
/usr/share/deltacloud-core/lib/deltacloud/base_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/base_driver/base_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/base_driver/features.rb
/usr/share/deltacloud-core/lib/deltacloud/base_driver/mock_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/core_ext
/usr/share/deltacloud-core/lib/deltacloud/core_ext.rb
/usr/share/deltacloud-core/lib/deltacloud/core_ext/integer.rb
/usr/share/deltacloud-core/lib/deltacloud/core_ext/string.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers
/usr/share/deltacloud-core/lib/deltacloud/drivers/azure
/usr/share/deltacloud-core/lib/deltacloud/drivers/azure/azure_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/ec2
/usr/share/deltacloud-core/lib/deltacloud/drivers/ec2/ec2_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/ec2/ec2_mock_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/eucalyptus
/usr/share/deltacloud-core/lib/deltacloud/drivers/eucalyptus/eucalyptus_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/gogrid
/usr/share/deltacloud-core/lib/deltacloud/drivers/gogrid/gogrid_client.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/gogrid/gogrid_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/buckets
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/buckets/blobs
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/buckets/blobs/blob1.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/buckets/blobs/blob2.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/buckets/blobs/blob3.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/buckets/blobs/blob4.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/buckets/blobs/blob5.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/buckets/bucket1.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/buckets/bucket2.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/images
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/images/img1.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/images/img2.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/images/img3.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/instances
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/instances/inst0.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/instances/inst1.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/instances/inst2.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/storage_snapshots
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/storage_snapshots/snap1.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/storage_snapshots/snap2.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/storage_snapshots/snap3.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/storage_volumes
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/storage_volumes/vol1.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/storage_volumes/vol2.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/data/storage_volumes/vol3.yml
/usr/share/deltacloud-core/lib/deltacloud/drivers/mock/mock_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/opennebula
/usr/share/deltacloud-core/lib/deltacloud/drivers/opennebula/cloud_client.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/opennebula/occi_client.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/opennebula/opennebula_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/rackspace
/usr/share/deltacloud-core/lib/deltacloud/drivers/rackspace/rackspace_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/rhevm
/usr/share/deltacloud-core/lib/deltacloud/drivers/rhevm/rhevm_client.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/rhevm/rhevm_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/rimuhosting
/usr/share/deltacloud-core/lib/deltacloud/drivers/rimuhosting/rimuhosting_client.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/rimuhosting/rimuhosting_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/sbc
/usr/share/deltacloud-core/lib/deltacloud/drivers/sbc/sbc_client.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/sbc/sbc_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/drivers/terremark
/usr/share/deltacloud-core/lib/deltacloud/drivers/terremark/terremark_driver.rb
/usr/share/deltacloud-core/lib/deltacloud/hardware_profile.rb
/usr/share/deltacloud-core/lib/deltacloud/helpers
/usr/share/deltacloud-core/lib/deltacloud/helpers.rb
/usr/share/deltacloud-core/lib/deltacloud/helpers/application_helper.rb
/usr/share/deltacloud-core/lib/deltacloud/helpers/blob_stream.rb
/usr/share/deltacloud-core/lib/deltacloud/helpers/conversion_helper.rb
/usr/share/deltacloud-core/lib/deltacloud/helpers/hardware_profiles_helper.rb
/usr/share/deltacloud-core/lib/deltacloud/method_serializer.rb
/usr/share/deltacloud-core/lib/deltacloud/models
/usr/share/deltacloud-core/lib/deltacloud/models/base_model.rb
/usr/share/deltacloud-core/lib/deltacloud/models/blob.rb
/usr/share/deltacloud-core/lib/deltacloud/models/bucket.rb
/usr/share/deltacloud-core/lib/deltacloud/models/image.rb
/usr/share/deltacloud-core/lib/deltacloud/models/instance.rb
/usr/share/deltacloud-core/lib/deltacloud/models/instance_profile.rb
/usr/share/deltacloud-core/lib/deltacloud/models/key.rb
/usr/share/deltacloud-core/lib/deltacloud/models/load_balancer.rb
/usr/share/deltacloud-core/lib/deltacloud/models/realm.rb
/usr/share/deltacloud-core/lib/deltacloud/models/storage_snapshot.rb
/usr/share/deltacloud-core/lib/deltacloud/models/storage_volume.rb
/usr/share/deltacloud-core/lib/deltacloud/runner.rb
/usr/share/deltacloud-core/lib/deltacloud/state_machine.rb
/usr/share/deltacloud-core/lib/deltacloud/validation.rb
/usr/share/deltacloud-core/lib/drivers.rb
/usr/share/deltacloud-core/lib/sinatra
/usr/share/deltacloud-core/lib/sinatra/accept_media_types.rb
/usr/share/deltacloud-core/lib/sinatra/lazy_auth.rb
/usr/share/deltacloud-core/lib/sinatra/rabbit.rb
/usr/share/deltacloud-core/lib/sinatra/rack_driver_select.rb
/usr/share/deltacloud-core/lib/sinatra/rack_etag.rb
/usr/share/deltacloud-core/lib/sinatra/rack_matrix_params.rb
/usr/share/deltacloud-core/lib/sinatra/rack_runtime.rb
/usr/share/deltacloud-core/lib/sinatra/respond_to.rb
/usr/share/deltacloud-core/lib/sinatra/static_assets.rb
/usr/share/deltacloud-core/lib/sinatra/url_for.rb
/usr/share/deltacloud-core/public
/usr/share/deltacloud-core/public/favicon.ico
/usr/share/deltacloud-core/public/images
/usr/share/deltacloud-core/public/images/bread-bg.png
/usr/share/deltacloud-core/public/images/error.png
/usr/share/deltacloud-core/public/images/grid.png
/usr/share/deltacloud-core/public/images/logo-wide.png
/usr/share/deltacloud-core/public/images/pending.png
/usr/share/deltacloud-core/public/images/rails.png
/usr/share/deltacloud-core/public/images/running.png
/usr/share/deltacloud-core/public/images/stopped.png
/usr/share/deltacloud-core/public/images/topbar-bg.png
/usr/share/deltacloud-core/public/javascripts
/usr/share/deltacloud-core/public/javascripts/application.js
/usr/share/deltacloud-core/public/javascripts/jquery-1.4.2.min.js
/usr/share/deltacloud-core/public/stylesheets
/usr/share/deltacloud-core/public/stylesheets/compiled
/usr/share/deltacloud-core/public/stylesheets/compiled/application.css
/usr/share/deltacloud-core/public/stylesheets/compiled/ie.css
/usr/share/deltacloud-core/public/stylesheets/compiled/print.css
/usr/share/deltacloud-core/public/stylesheets/compiled/screen.css
/usr/share/deltacloud-core/server.rb
/usr/share/deltacloud-core/views
/usr/share/deltacloud-core/views/accounts
/usr/share/deltacloud-core/views/accounts/index.html.haml
/usr/share/deltacloud-core/views/accounts/show.html.haml
/usr/share/deltacloud-core/views/api
/usr/share/deltacloud-core/views/api/show.html.haml
/usr/share/deltacloud-core/views/api/show.xml.haml
/usr/share/deltacloud-core/views/blobs
/usr/share/deltacloud-core/views/blobs/new.html.haml
/usr/share/deltacloud-core/views/blobs/show.html.haml
/usr/share/deltacloud-core/views/blobs/show.xml.haml
/usr/share/deltacloud-core/views/buckets
/usr/share/deltacloud-core/views/buckets/index.html.haml
/usr/share/deltacloud-core/views/buckets/index.xml.haml
/usr/share/deltacloud-core/views/buckets/new.html.haml
/usr/share/deltacloud-core/views/buckets/show.html.haml
/usr/share/deltacloud-core/views/buckets/show.xml.haml
/usr/share/deltacloud-core/views/docs
/usr/share/deltacloud-core/views/docs/collection.html.haml
/usr/share/deltacloud-core/views/docs/collection.xml.haml
/usr/share/deltacloud-core/views/docs/index.html.haml
/usr/share/deltacloud-core/views/docs/index.xml.haml
/usr/share/deltacloud-core/views/docs/operation.html.haml
/usr/share/deltacloud-core/views/docs/operation.xml.haml
/usr/share/deltacloud-core/views/drivers
/usr/share/deltacloud-core/views/drivers/index.html.haml
/usr/share/deltacloud-core/views/drivers/index.xml.haml
/usr/share/deltacloud-core/views/drivers/show.html.haml
/usr/share/deltacloud-core/views/drivers/show.xml.haml
/usr/share/deltacloud-core/views/error.html.haml
/usr/share/deltacloud-core/views/errors
/usr/share/deltacloud-core/views/errors/auth_exception.html.haml
/usr/share/deltacloud-core/views/errors/auth_exception.xml.haml
/usr/share/deltacloud-core/views/errors/backend_capability_failure.html.haml
/usr/share/deltacloud-core/views/errors/backend_capability_failure.xml.haml
/usr/share/deltacloud-core/views/errors/backend_error.html.haml
/usr/share/deltacloud-core/views/errors/backend_error.xml.haml
/usr/share/deltacloud-core/views/errors/not_allowed.html.haml
/usr/share/deltacloud-core/views/errors/not_allowed.xml.haml
/usr/share/deltacloud-core/views/errors/not_found.html.haml
/usr/share/deltacloud-core/views/errors/not_found.xml.haml
/usr/share/deltacloud-core/views/errors/validation_failure.html.haml
/usr/share/deltacloud-core/views/errors/validation_failure.xml.haml
/usr/share/deltacloud-core/views/hardware_profiles
/usr/share/deltacloud-core/views/hardware_profiles/index.html.haml
/usr/share/deltacloud-core/views/hardware_profiles/index.xml.haml
/usr/share/deltacloud-core/views/hardware_profiles/show.html.haml
/usr/share/deltacloud-core/views/hardware_profiles/show.xml.haml
/usr/share/deltacloud-core/views/images
/usr/share/deltacloud-core/views/images/index.html.haml
/usr/share/deltacloud-core/views/images/index.xml.haml
/usr/share/deltacloud-core/views/images/new.html.haml
/usr/share/deltacloud-core/views/images/show.html.haml
/usr/share/deltacloud-core/views/images/show.xml.haml
/usr/share/deltacloud-core/views/instance_states
/usr/share/deltacloud-core/views/instance_states/show.html.haml
/usr/share/deltacloud-core/views/instance_states/show.png.erb
/usr/share/deltacloud-core/views/instance_states/show.xml.haml
/usr/share/deltacloud-core/views/instances
/usr/share/deltacloud-core/views/instances/index.html.haml
/usr/share/deltacloud-core/views/instances/index.xml.haml
/usr/share/deltacloud-core/views/instances/new.html.haml
/usr/share/deltacloud-core/views/instances/run.html.haml
/usr/share/deltacloud-core/views/instances/run.xml.haml
/usr/share/deltacloud-core/views/instances/run_command.html.haml
/usr/share/deltacloud-core/views/instances/show.html.haml
/usr/share/deltacloud-core/views/instances/show.xml.haml
/usr/share/deltacloud-core/views/keys
/usr/share/deltacloud-core/views/keys/index.html.haml
/usr/share/deltacloud-core/views/keys/index.xml.haml
/usr/share/deltacloud-core/views/keys/new.html.haml
/usr/share/deltacloud-core/views/keys/show.html.haml
/usr/share/deltacloud-core/views/keys/show.xml.haml
/usr/share/deltacloud-core/views/layout.html.haml
/usr/share/deltacloud-core/views/load_balancers
/usr/share/deltacloud-core/views/load_balancers/index.html.haml
/usr/share/deltacloud-core/views/load_balancers/index.xml.haml
/usr/share/deltacloud-core/views/load_balancers/new.html.haml
/usr/share/deltacloud-core/views/load_balancers/show.html.haml
/usr/share/deltacloud-core/views/load_balancers/show.xml.haml
/usr/share/deltacloud-core/views/realms
/usr/share/deltacloud-core/views/realms/index.html.haml
/usr/share/deltacloud-core/views/realms/index.xml.haml
/usr/share/deltacloud-core/views/realms/show.html.haml
/usr/share/deltacloud-core/views/realms/show.xml.haml
/usr/share/deltacloud-core/views/root
/usr/share/deltacloud-core/views/root/index.html.haml
/usr/share/deltacloud-core/views/storage_snapshots
/usr/share/deltacloud-core/views/storage_snapshots/index.html.haml
/usr/share/deltacloud-core/views/storage_snapshots/index.xml.haml
/usr/share/deltacloud-core/views/storage_snapshots/new.html.haml
/usr/share/deltacloud-core/views/storage_snapshots/show.html.haml
/usr/share/deltacloud-core/views/storage_snapshots/show.xml.haml
/usr/share/deltacloud-core/views/storage_volumes
/usr/share/deltacloud-core/views/storage_volumes/attach.html.haml
/usr/share/deltacloud-core/views/storage_volumes/index.html.haml
/usr/share/deltacloud-core/views/storage_volumes/index.xml.haml
/usr/share/deltacloud-core/views/storage_volumes/new.html.haml
/usr/share/deltacloud-core/views/storage_volumes/show.html.haml
/usr/share/deltacloud-core/views/storage_volumes/show.xml.haml

Comment 1 Michal Fojtik 2011-09-08 08:51:43 UTC
VSphere driver become available in Deltacloud 0.4.0. You're using version 0.3.0.

Comment 2 wes hayutin 2011-09-08 15:25:02 UTC
ok.. just confused.. what version of dcloud shipped w/ aeolus 0.3.0?  Because this was working w/ that release ;)

Comment 3 Michal Fojtik 2012-03-06 13:39:54 UTC
The latest version of Deltacloud API is 0.5.0. The package contain sub-package called: 'deltacloud-core-vsphere'. If you install this package it should fix the problem.

Closing this bug as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.